Name:          tn5250
Version:       0.17.6
Release:       1mamba
Summary:       A telnet client for the IBM AS/400 that emulates 5250 terminals and printers
Group:         Applications/Networking
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://tn5250.sourceforge.net/
Source:        https://github.com/tn5250/tn5250.git/v%{version}/tn5250-%{version}.tar.bz2
Patch0:        tn5250-0.17.4-openssl-1.1.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libncurses-devel
BuildRequires: libopenssl-devel
## AUTOBUILDREQ-END

%description
tn5250 is a telnet client for the IBM AS/400 that emulates 5250 terminals and printers.
This function is the same as that provided by the 5250 emulator in IBM Client Access.

%package -n lib%{name}
Summary:       Shared libraries for %{name}
Group:         System/Libraries

%description -n lib%{name}
tn5250 is a telnet client for the IBM AS/400 that emulates 5250 terminals and printers.
This function is the same as that provided by the 5250 emulator in IBM Client Access.
This package contains the shared libraries provided with %{name}.

%package -n lib%{name}-devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      lib%{name} = %{version}-%{release}

%description -n lib%{name}-devel
tn5250 is a telnet client for the IBM AS/400 that emulates 5250 terminals and printers.
This function is the same as that provided by the 5250 emulator in IBM Client Access.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q 
autoreconf -f -i

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/lp5250d
%{_bindir}/scs*
%{_bindir}/tn5250
%{_bindir}/xt5250
%{_bindir}/5250keys
#%{_libdir}/*.so.*
%{_mandir}/man1/lp5250d.*
%{_mandir}/man1/scs2ascii.*
%{_mandir}/man1/scs2pdf.*
%{_mandir}/man1/scs2ps.*
%{_mandir}/man1/tn5250.*
%{_mandir}/man5/tn5250rc.*
%{_datadir}/tn5250/*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/lib5250.so.*
%doc AUTHORS COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_includedir}/tn5250/*.h
%{_libdir}/lib5250.a
%{_libdir}/lib5250.so
%doc ChangeLog NEWS README README.ssl TODO

%changelog
* Thu Mar 14 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 0.17.6-1mamba
- update to 0.17.6

* Fri May 21 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.17.4-3mamba
- rebuilt with debug package and specfile fixes

* Wed Jul 10 2013 Automatic Build System <autodist@mambasoft.it> 0.17.4-2mamba
- automatic version update by autodist

* Thu Feb 05 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.17.4-1mamba
- automatic update by autodist

* Wed Jun 11 2008 Tiziana Ferro <tiziana.ferro@email.it> 0.17.3-1mamba
- update to 0.17.3, removed tn5250-0.16.5-gcc34.patch

* Thu Mar 31 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.16.5-1qilnx
- package created by autospec
